Subject: [Tools-discuss] openpgp jabber room and matrix.org

From: Stephen Farrell <[email-masked]>
Date: Fri, 26 Feb 2021 17:25:06 +0000

Hiya,

Nothing urgent here but be good if we can fix. I'm
happy to be online and type stuff if/when that helps.

I tried to join the openpgp wg jabber room from matrix.org
(using element/ubuntu). That room wasn't visible from the
room list for the IETF test server. (The WG has only recently
been re-created - it used exist before.)

I tried to manually join the room even though it wasn't
listed by putting "#xmpp_openpgp_jabber.ietf.org:matrix.org"
into the room name dialog in element. I think that didn't
work 1st time, but 2nd time I got "Bifrost Bot created and
configured the room." and was joined in fine. (I just
copied that string from other room names.)

I then also joined the jabber room using pidgin. I can see
the right roster in both clients.

But - messages from element are showing up in pidgin,
whereas messages entered in pidgin are not showing up in
element. The roster, while maybe correct in element, is
showing all the native jabber users as offline even
though at least I'm in there via pidgin.

Again, no rush to fix, but be good if this was working
for IETF-110. My guess is that I did something wrong in
how I triggered the bot or something, or maybe this is
due to the WG being newly chartered, or being a WG that
used to be closed but is now re-opened.

Thanks,
S.

PS: Sorry if this isn't the best place to report - I forget
where in matrix.org-land there was support offered for
this fine experiment;-)